from CvPythonExtensions import *
from PyHelpers import *
from Popup import PyPopup

# constants
gc = CyGlobalContext()
cyGame = CyGame()
cyMap = CyMap()
pyGame = PyGame()

iPropability = 100
popupHeader = "              Age of Exploration v1.0"
popupMessage = "A mod devoted to the age of discovery \n\
\nStarting in the year 1400 settle your first city\n\
Discover the lands around you\n\
build an army and conquer the lands\n\
build a fleet and control the seas\n\
\nfight off savage tribes\n\n\
Win the hearts of your people and become king\n\
\n\
\n                                       Enjoy"\

def showPopup():
  """Displays the welcome message on game start"""
  modPopup = PyPopup()
  modPopup.setPosition(600, 250)
  modPopup.setHeaderString(popupHeader)
  modPopup.setBodyString(popupMessage)
  modPopup.launch()